# AAMVADLIDFieldNames class

Constants for the field type names of AAMVA.DLID.

## Constructors

AAMVADLIDFieldNames()
  const

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

AddressCity → const String
AddressJurisdictionCode → const String
AddressPostalCode → const String
AddressStreet1 → const String
AddressStreet2 → const String
AdultInformation → const String
AliasFamilyName → const String
AliasGivenName → const String
AliasMiddleName → const String
AliasPrefixName → const String
AliasSuffixName → const String
CardRevisionDate → const String
ComplianceType → const String
CountryIdentification → const String
CustomerFamilyName → const String
CustomerFirstName → const String
CustomerGivenNames → const String
CustomerIdNumber → const String
CustomerMiddleName → const String
DateOfBirth → const String
DocumentDiscriminator → const String
DocumentExpirationDate → const String
DocumentIssueDate → const String
DriverAliasDateOfBirthField → const String
DriverAliasFirstName → const String
DriverAliasLastName → const String
DriverAliasSocialSecurityNumber → const String
DriverLastName → const String
DriverLicenseClassificationCode → const String
DriverLicenseEndorsementsCode → const String
DriverLicenseName → const String
DriverLicenseRestrictionCode → const String
DriverNamePrefix → const String
DriverNameSuffix → const String
DriverPermitClassificationCode → const String
DriverPermitEndorsementCode → const String
DriverPermitIssueDate → const String
DriverPermitRestrictionCode → const String
DriverResidenceCity → const String
DriverResidenceJurisdictionCode → const String
DriverResidencePostalCode → const String
DriverResidenceStreetAddress1 → const String
DriverResidenceStreetAddress2 → const String
FamilyNameTruncation → const String
FederalCommercialVehicleCodes → const String
FirstNameTruncation → const String
HairColor → const String
HAZMATEndorsementExpirationDate → const String
Height → const String
InventoryControlNumber → const String
IssueTimeStamp → const String
JurisdictionSpecificEndorsementCodeDescription → const String
JurisdictionSpecificEndorsementCodes → const String
JurisdictionSpecificRestrictionCodeDescription → const String
JurisdictionSpecificRestrictionCodes → const String
JurisdictionSpecificVehicleClass → const String
JurisdictionSpecificVehicleClassificationDescription → const String
LimitedDurationDocumentIndicator → const String
MiddleNameTruncation → const String
NameSuffix → const String
NonResidentIndicator → const String
NumberOfDuplicates → const String
OrganDonor → const String
OrganDonorIndicator → const String
PermitExpirationDate → const String
PermitIdentifier → const String
PhysicalDescriptionEyeColor → const String
PhysicalDescriptionHeight → const String
PhysicalDescriptionSex → const String
PhysicalDescriptionWeightRange → const String
PlaceOfBirth → const String
RaceEthnicity → const String
SocialSecurityNumber → const String
StandardEndorsementCode → const String
StandardRestrictionCode → const String
StandardVehicleClassification → const String
Under18Until → const String
Under19Until → const String
Under21Until → const String
UniqueCustomerIdentifier → const String
VeteranIndicator → const String
WeightKilograms → const String
WeightPounds → const String